Module org.jfree.chart3d
Package org.jfree.chart3d.interaction

# Enum Class InteractiveElementType

java.lang.Object
java.lang.Enum<InteractiveElementType>
org.jfree.chart3d.interaction.InteractiveElementType

All Implemented Interfaces:
  `Serializable`, `Comparable<InteractiveElementType>`, `Constable`

public enum InteractiveElementType extends Enum<InteractiveElementType>
The type for an interactive chart element. These values are used when constructing a `RenderedElement`. For each type, some additional properties will usually be defined:

- CATEGORY_AXIS_TICK_LABEL: 'label' (a string containing the tick label, and 'axis' (either 'row' or 'column');
- LEGEND_ITEM: 'series_key' (the series key)

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AXIS_LABEL`
An axis label (the main label for an axis, not a tick label).
`CATEGORY_AXIS_TICK_LABEL`
A category axis tick label.
`DATA_ITEM`
A data item within a chart.
`GRIDLINE`
A gridline in the chart.
`LEGEND`
The legend (see also `LEGEND_ITEM`).
`LEGEND_ITEM`
An item within a legend (typically representing a series in the chart).
`MARKER`
A marker.
`SECTION_LABEL`
The section label for a pie chart.
`SUBTITLE`
The chart subtitle.
`TITLE`
The chart title.
`VALUE_AXIS_TICK_LABEL`
A value axis tick label.

## Method Summary

Modifier and Type
Method
Description
`static InteractiveElementType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static InteractiveElementType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DATA_ITEM

public static final InteractiveElementType DATA_ITEM
A data item within a chart.

### TITLE

public static final InteractiveElementType TITLE
The chart title.

### SUBTITLE

public static final InteractiveElementType SUBTITLE
The chart subtitle.

### GRIDLINE

public static final InteractiveElementType GRIDLINE
A gridline in the chart.

### AXIS_LABEL

public static final InteractiveElementType AXIS_LABEL
An axis label (the main label for an axis, not a tick label).

### CATEGORY_AXIS_TICK_LABEL

public static final InteractiveElementType CATEGORY_AXIS_TICK_LABEL
A category axis tick label.

### VALUE_AXIS_TICK_LABEL

public static final InteractiveElementType VALUE_AXIS_TICK_LABEL
A value axis tick label.

### SECTION_LABEL

public static final InteractiveElementType SECTION_LABEL
The section label for a pie chart.

### LEGEND

public static final InteractiveElementType LEGEND
The legend (see also `LEGEND_ITEM`).

### LEGEND_ITEM

public static final InteractiveElementType LEGEND_ITEM
An item within a legend (typically representing a series in the chart).

### MARKER

public static final InteractiveElementType MARKER
A marker.

## Method Details

### values

public static InteractiveElementType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static InteractiveElementType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null